Skip to main content
POST
/
kling
/
v1
/
videos
/
advanced-lip-sync
Create Lip Sync Task
curl --request POST \
  --url https://www.anyfast.ai/kling/v1/videos/advanced-lip-sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "session_id": "abc123-session-id",
    "face_image_url": "https://example.com/face.jpg",
    "text": "你好,欢迎来到我的频道",
    "voice_id": "girlfriend_1_cn",
    "voice_language": "zh",
    "audio_url": "https://example.com/speech.mp3"
  }
}
'
{
  "id": "task_abc123",
  "task_id": "task_abc123",
  "object": "video",
  "model": "kling-lip-sync",
  "status": "",
  "progress": 0,
  "created_at": 1773812605
}

Documentation Index

Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Voice ID Reference

Browse all available voice IDs with audio previews to find the right value for the voice_id parameter.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
input
object
required

Response

Lip sync task created

id
string

Task ID

Example:

"task_abc123"

task_id
string

Task ID (same as id)

Example:

"task_abc123"

object
string
Example:

"video"

model
string
Example:

"kling-lip-sync"

status
string

Initially empty; poll the query endpoint for updates.

Example:

""

progress
integer

Progress 0–100

Example:

0

created_at
integer

Unix timestamp

Example:

1773812605